# Generated from salesforce_bulk_query-0.2.0.gem by gem2rpm -*- rpm-spec -*-
%global gem_name salesforce_bulk_query

Name: rubygem-%{gem_name}
Version: 0.2.0
Release: 1%{?dist}
Summary: Downloading data from Salesforce Bulk API made easy and scalable
License: BSD
URL: https://github.com/cvengros/salesforce_bulk_query
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby >= 1.9
# BuildRequires: rubygem(multi_json) >= 1.9
# BuildRequires: rubygem(multi_json) < 2
# BuildRequires: rubygem(restforce) >= 1.4
# BuildRequires: rubygem(restforce) < 2
# BuildRequires: rubygem(rspec) >= 2.14
# BuildRequires: rubygem(rspec) < 3
# BuildRequires: rubygem(pry) >= 0.9
# BuildRequires: rubygem(pry) < 1
# BuildRequires: rubygem(pry-stack_explorer) >= 0.4
# BuildRequires: rubygem(pry-stack_explorer) < 1
# BuildRequires: rubygem(coveralls) >= 0.7
# BuildRequires: rubygem(coveralls) < 1
# BuildRequires: rubygem(webmock) >= 1.20
# BuildRequires: rubygem(webmock) < 2
BuildArch: noarch

%description
A library for downloading data from Salesforce Bulk API. We only focus on
querying, other operations of the API aren't supported. Designed to handle a
lot of data.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# rspec spec
popd

%files
%dir %{gem_instdir}
%exclude %{gem_instdir}/.gitignore
%exclude %{gem_instdir}/.travis.yml
%license %{gem_instdir}/LICENSE
%{gem_instdir}/env_setup-example.sh
%{gem_libdir}
%{gem_instdir}/new-version.sh
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/salesforce_bulk_query.gemspec
%{gem_instdir}/spec

%changelog
* Wed Apr 20 2022 mockbuilder - 0.2.0-1
- Initial package
